Subject: Re: git on MacOSX and files with decomposed utf-8 file names

From: Mark Junker <[email-masked]>
Date: Thu, 17 Jan 2008 19:36:32 +0100

Johannes Schindelin schrieb:

> It's just too arrogant to force your particular preferences down the 
> throat of every git user.

It's not arrogant to make a suggestion. Where is your alternative solution?

However, what about storing an additional information like the file 
system encoding (for every file)? This would result in the same 
behaviour (and speed) as today as long as the file system encoding is 
the same. Conversion will only be done when the targets file system 
encoding is different.

BTW: This reminds me of the code page switching stuff back in the times 
of MS-DOS 4/5. This really wasn't funny.

Regards,
Mark